Package org.eclipse.microprofile.fault.tolerance.tck.asynchronous

# Class AsyncRequestScopeClient

java.lang.Object
org.eclipse.microprofile.fault.tolerance.tck.asynchronous.AsyncRequestScopeClient

@RequestScoped public class AsyncRequestScopeClient extends Object

## Constructor Summary

Constructors
Constructor
Description
`AsyncRequestScopeClient()`

## Method Summary

Modifier and Type
Method
Description
`CompletionStage<String>`
`methodReturningCompletionStage()`
`Future<String>`
`methodReturningFuture()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AsyncRequestScopeClient

public AsyncRequestScopeClient()

## Method Details

### methodReturningCompletionStage

public CompletionStage<String> methodReturningCompletionStage()

### methodReturningFuture

public Future<String> methodReturningFuture()